JAXB v2.2.11

## javax.xml.bind.annotation.adapters
Class CollapsedStringAdapter

    java.lang.Object
      javax.xml.bind.annotation.adapters.XmlAdapter<String,String>
          javax.xml.bind.annotation.adapters.CollapsedStringAdapter

    public class CollapsedStringAdapter

extends XmlAdapter<String,String>

Built-in `XmlAdapter` to handle `xs:token` and its derived types.

This adapter removes leading and trailing whitespaces, then truncate any sequnce of tab, CR, LF, and SP by a single whitespace character ' '.

Since:
  JAXB 2.0
Author:
  Kohsuke Kawaguchi

Constructor Summary
`CollapsedStringAdapter()`

Method Summary
`protected static boolean` `isWhiteSpace(char ch)` returns true if the specified char is a white space character.
`String` `marshal(String s)` No-op.
`String` `unmarshal(String text)` Removes leading and trailing whitespaces of the string given as the parameter, then truncate any sequnce of tab, CR, LF, and SP by a single whitespace character ' '.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollapsedStringAdapter

    public CollapsedStringAdapter()

Method Detail

### unmarshal

    public String unmarshal(String text)

  Removes leading and trailing whitespaces of the string given as the parameter, then truncate any sequnce of tab, CR, LF, and SP by a single whitespace character ' '.

  Specified by:
    `unmarshal` in class `XmlAdapter<String,String>`
  Parameters:
    `text` - The value to be converted. Can be null.

### marshal

    public String marshal(String s)

  No-op. Just return the same string given as the parameter.

  Specified by:
    `marshal` in class `XmlAdapter<String,String>`
  Parameters:
    `s` - The value to be convereted. Can be null.

### isWhiteSpace

    protected static boolean isWhiteSpace(char ch)

  returns true if the specified char is a white space character.

JAXB v2.2.11

Comments to: spec-comments@jsr222.java.net
More information at: http://jaxb.java.net

Copyright © 2004-2011 Oracle